#include<bits/stdc++.h>
using namespace std;
int main()
{
	long long a, b, c;
	cin >> a >> b >> c;
	string sa, sb, sc;
	sa = to_string(a);
	sb = to_string(b);
	sc = to_string(c);
	string s1, s2, s3, s4, s5, s6;
	s1 = sa + sb + sc;
	string max = s1;
	s2 = sa + sc + sb;
	if(s2 > max)
		max = s2;
	s3 = sb + sa + sc;
	if(s3 > max)
		max = s3;
	s4 = sb + sc + sa;
	if(s4 > max)
		max = s4;
	s5 = sc + sa + sb;
	if(s5 > max)
		max = s5;
	s6 = sc + sb + sa;
	if(s6 > max)
		max = s6;
	cout << max;
	return 0;
}